.coming-soon-page {
  display: flex;
  height: 100vh;
  flex: 1;
  width: 100%;
  position: relative;
  justify-content: center;
  align-items: center;
  background-image: url("../../assets/images/baclground.svg");
  background-repeat: no-repeat;
  background-size: cover;
  font-family: "Kumbh Sans", sans-serif;

  @media screen and (max-width: 520px) {
    flex-direction: column-reverse;
    margin: 1rem;
  }

  .logo {
    position: absolute;
    top: 10%;
    left: 10%;

    @media screen and (max-width: 520px) {
      position: fixed;
      top: 5%;
      background-color: rgba(255, 255, 255, 0.5);
      padding: 0.5rem;
      border-radius: 0.5rem;
    }
  }

  .left-section {
    display: flex;
    flex: 2;
    gap: 2rem;
    box-sizing: border-box;
    margin: 10%;
    margin-right: 20%;
    flex-direction: column;

    @media screen and (max-width: 520px) {
      gap: 0.5rem;
    }

    .header {
      font-size: 4rem;
      display: flex;
      font-weight: 500;
      color: hsl(0, 6%, 24%);
      flex-direction: column;
      text-align: left;
      flex: 1;

      @media screen and (max-width: 520px) {
        font-size: 1.75rem;
        justify-content: center;
        align-items: center;
      }

      .first {
        font-weight: 300;
        color: hsl(0, 36%, 70%);
      }
    }
    .paragraph {
      display: flex;
      font-weight: 300;
      font-size: 1.25rem;
      line-height: 2rem;
      color: hsl(0, 36%, 70%);
      flex-direction: column;
      flex: 1;

      @media screen and (max-width: 520px) {
        font-size: 0.875rem;
      }
    }

    .input-box {
      display: flex;
      flex: 1;
      width: 100%;
      position: relative;

      @media screen and (max-width: 520px) {
        align-items: center;
      }
      input {
        display: flex;
        flex: 1;
        width: 100%;
        padding: 1.5rem 2rem;
        border-radius: 2rem;
        outline: none;
        font-size: 1.125rem;
        font-weight: 300;
        color: hsl(0, 36%, 70%);
        border: 1px solid hsl(0, 36%, 70%);

        @media screen and (max-width: 520px) {
          padding: 0.5rem 1rem;
          font-size: 0.875rem;
        }

        &::placeholder {
          color: hsl(0, 36%, 70%);
          opacity: 0.5;
        }
      }
      .btn-submit {
        position: absolute;
        right: 0;
        display: flex;
        width: 120px;
        height: 98%;
        align-items: center;
        justify-content: center;
        border-radius: 4rem;
        border: none;
        background-image: linear-gradient(
          135deg,
          hsl(0, 80%, 86%),
          hsl(0, 74%, 74%)
        );
        box-shadow: 1px 2px 5px 2px hsl(0, 80%, 86%);

        @media screen and (max-width: 520px) {
          width: 50px;
          height: 32px;
        }

        &:hover {
          cursor: pointer;
        }
      }
      .error {
        position: absolute;
        bottom: -30%;
        left: 5%;
        color: red;
        font-size: 0.75rem;
      }
    }
  }
  .right-section {
    display: flex;
    width: 100%;
    top: 50%;
    height: 100%;
    flex: 3;
    @media screen and (max-width: 520px) {
      flex: 1;
    }

    .person-img {
      width: 100%;
      height: 100%;
      display: flex;
      flex: 1;

      @media screen and (max-width: 520px) {
        object-fit: cover;
        height: 300px;
        width: 100%;
      }
    }
  }
}
p {
  margin: 0;
}
